import { Marks } from './Marks';
import { AxisLeft } from './AxisLeft';
import { ZeroLine } from './ZeroLine';

export const CategoriesChart = ({
  data,
  xScale,
  xValue,
  yScale,
  yValue,
  yLabelOffset,
  innerWidth,
  innerHeight,
  y,
  title,
  xScale1,
  xValue1,
}) => (
  <g transform={`translate(0,${y})`}>
    <AxisLeft yScale={yScale} yLabelOffset={yLabelOffset} />
    <Marks
      data={data}
      xScale={xScale}
      yScale={yScale}
      xValue={xValue}
      yValue={yValue}
      xScale1={xScale1}
      xValue1={xValue1}
    />
    <ZeroLine
      innerHeight={innerHeight}
      innerWidth={innerWidth}
    />
    <text
      className="x-title"
      transform={`translate(${
        innerWidth + yLabelOffset
      },${0})`}
      dy={innerHeight - 6.5}
    >
      {title}
    </text>
  </g>
);
